> For the complete documentation index, see [llms.txt](https://docs.keeper.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keeper.io/release-notes/jp/enterprise/terraform-providers/commander-terraform-1.2.md).

# Commander Terraform 1.2

本リリースでは、TerraformでのKeeperPAMインフラストラクチャのプロビジョニングに対応しました。PAM構成、PAMリソースレコード (マシン、ユーザー、データベース、ディレクトリ、リモートブラウザ)、Keeperシークレットマネージャーアプリケーションをすべてコードとして定義できるようになり、あわせて階層型共有フォルダおよび非共有 (プライベート) フォルダに対応したフォルダ管理機能も拡張されています。これらの機能により、ゲートウェイの構成から対象リソースや認証情報の共有まで、特権アクセス環境全体を宣言型でエンドツーエンドに展開できるようになりました。

### 新機能 <a href="#new-capabilities" id="new-capabilities"></a>

#### KeeperPAM <a href="#keeperpam" id="keeperpam"></a>

* 新しい `commander_pam_configuration` リソースおよびデータソースを追加。PAM構成 (環境、ゲートウェイとの関連付け、ローテーションスケジュール、ポートマッピング) を定義し、接続、トンネリング、ローテーション、リモートブラウザ分離、セッション録画およびタイプスクリプト記録などの機能をTerraformから構成できます。

#### 従来型PAMレコード

* すべての従来型PAMレコードタイプ向けの新しいリソースおよびデータソースを追加。`commander_classic_pam_machine`、`commander_classic_pam_user`、`commander_classic_pam_database`、`commander_classic_pam_directory`、`commander_classic_pam_remote_browser`
* いずれも、Terraform構成内でPAM設定およびユーザーごとの共有権限を完全に定義できます。

#### シークレットマネージャー <a href="#secrets-manager" id="secrets-manager"></a>

* 新しい `commander_secrets_manager` リソースおよびデータソースを追加。Keeperシークレットマネージャーアプリケーションの作成・管理に対応。アプリケーションユーザーのほか、編集可否を制御できるシークレットおよびフォルダの共有も含みます。

#### フォルダ管理 <a href="#folder-management" id="folder-management"></a>

* 階層型共有フォルダ (NSF) 向けの新しい `commander_new_folder` リソースおよびデータソースを追加。
* プライベート (非共有) フォルダ向けの新しい `commander_non_shared_folder` リソースおよびデータソースを追加。
* `commander_shared_folder` (従来型共有フォルダ) の強化。新しい `folder_location` 属性により親フォルダ配下への配置が可能になったほか、ユーザーに加えてチーム (名前またはUID指定) への権限付与にも対応しました。

### リソース <a href="#resources" id="resources"></a>

* [Terraformドキュメント](https://registry.terraform.io/providers/Keeper-Security/commander/latest/docs)
* [コマンダー用Terraform Providerに関するドキュメント](/keeperpam/jp/secrets-manager/integrations/terraform-provider-commander.md)
* [GitHubリポジトリ](https://github.com/Keeper-Security/terraform-provider-commander)
* [GitHubリリース](https://github.com/Keeper-Security/terraform-provider-commander/releases/tag/v1.2.0)
* [サービスモードREST APIに関するドキュメント](/keeperpam/jp/commander-cli/service-mode-rest-api.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.keeper.io/release-notes/jp/enterprise/terraform-providers/commander-terraform-1.2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
